Download it now!
Bug 113703 - While editing document, using Field insert panel with mouse cursor causes the Selection place to revert to previous when a selection is made
Summary: While editing document, using Field insert panel with mouse cursor causes the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2017-11-07 21:11 UTC by Robert Wright
Modified: 2018-11-16 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (799.20 KB, application/vnd.oasis.opendocument.text)
2017-11-13 19:06 UTC, Robert Wright
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Wright 2017-11-07 21:11:45 UTC
Description:
Using Writer and working between my document and the Fields panel (CTRL+F2),  Type='Headings'. No filter selection.

I am inserting cross references within my document. 

If the last field insert was, for example, 4.6.3 and I then go to my document and do some more editing. 

I then want to insert another Heading cross reference. I mouse over the Fields panel Selection and use my mouse wheel to scroll up a few pages on the Selection. I then choose a new Heading, say 1.1.

The Selection reverts back to the previous selection window and chooses the equivalent place on that window.

Steps to Reproduce:
1.If the last field insert was, for example, 4.6.3 and I then go to my document and do some more editing. 
2.I then want to insert another Heading cross reference. I mouse over the Fields panel Selection and use my mouse wheel to scroll up a few pages on the Selection. I then choose a new Heading, say 1.1.


Actual Results:  
The Selection reverts back to the previous selection window and chooses the equivalent place on that window.

Expected Results:
Heading 1.1 to be selected


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Select heading 1.1


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.75 Safari/537.36
Comment 1 Buovjaga 2017-11-13 18:40:08 UTC
Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided an example document.
Comment 2 Robert Wright 2017-11-13 19:06:59 UTC
Created attachment 137722 [details]
Sample document

The attached document exhibits the behaviour.
Comment 3 Buovjaga 2017-11-14 09:32:59 UTC
(In reply to Robert Wright from comment #2)
> Created attachment 137722 [details]
> Sample document
> 
> The attached document exhibits the behaviour.

Could not reproduce.

1. Went to page 53
2. Insert - Cross-reference
3. I chose Heading 3.4.2.1 and inserted as Reference, closed dialog
4. Went to another location on page 53
5. Insert - Cross-reference
6. Scrolled down and up in the list of headings
7. Chose Heading 1.1 and inserted as Reference

No problem

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: d73225119476de1826f648acca9e93bf6797e813
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 12th 2017
Comment 4 Robert Wright 2017-11-14 18:53:41 UTC
In your step 3 don't close the dialog.

I don't close the insert dialog between edits and moving around my document.
Comment 5 Buovjaga 2017-11-14 19:02:26 UTC
(In reply to Robert Wright from comment #4)
> In your step 3 don't close the dialog.
> 
> I don't close the insert dialog between edits and moving around my document.

Ok, I tried like you said, but still no problem noticed.

I also tried with 5.4:
Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.2.2.0+
Build ID: 5.4.2-2
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 6 Robert Wright 2017-11-14 19:17:46 UTC
Interesting! It's very specific by the looks of it.

1. Open the document

2. Open the insert fields menu but don't click on any part of the insert fields menu

3. Select the document and go to page 53

4. Don't select the Fields pop-up

5. Mouse over the insert fields menu and use the mouse scroll bar to move the Selection field to say Chapter 4

6. Select Chapter 4 in the Selection field

7. I get 1.2.1 selected
Comment 7 Buovjaga 2017-11-15 14:17:02 UTC
(In reply to Robert Wright from comment #6)
> Interesting! It's very specific by the looks of it.
> 
> 1. Open the document
> 
> 2. Open the insert fields menu but don't click on any part of the insert
> fields menu
> 
> 3. Select the document and go to page 53
> 
> 4. Don't select the Fields pop-up
> 
> 5. Mouse over the insert fields menu and use the mouse scroll bar to move
> the Selection field to say Chapter 4
> 
> 6. Select Chapter 4 in the Selection field
> 
> 7. I get 1.2.1 selected

Ahh, gotcha. Now I reproduce.
Also seen in 3.3, so inherited.

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 17cfe6e25d479428de308c22fcd218dcf8827840
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Built on November 15th 2017
Comment 8 QA Administrators 2018-11-16 03:42:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug